Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 663164 (CVE-2018-11769) - <=dev-db/couchdb-2.1.2: Remote Code Execution (CVE-2018-11769)
Summary: <=dev-db/couchdb-2.1.2: Remote Code Execution (CVE-2018-11769)
Status: RESOLVED FIXED
Alias: CVE-2018-11769
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa+ cve]
Keywords:
Depends on: 594624
Blocks:
  Show dependency tree
 
Reported: 2018-08-08 14:18 UTC by Dirkjan Ochtman
Modified: 2018-12-15 20:09 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirkjan Ochtman gentoo-dev 2018-08-08 14:18:14 UTC
Joan Touzet wohali@apache.org via xavamedia.nl 
	
4:07 PM (10 minutes ago)
	
to CouchDB, announce, CouchDB, marketing, security, oss-security
Date:           08.08.2018
Affected:       Apache CouchDB 1.x and ≤2.1.2
Severity:       Low
Vendor:         The Apache Software Foundation


Description
===========

CouchDB administrative users can configure the database server via HTTP(S). Due to insufficient validation of administrator-supplied configuration settings via the HTTP API, it is possible for a CouchDB administrator user to escalate their privileges to that of the operating system’s user under which CouchDB runs, by bypassing the blacklist of configuration settings that are not allowed to be modified via the HTTP API.

This privilege escalation effectively allows a CouchDB admin user to gain arbitrary remote code execution, bypassing mitigations for CVE-2017-12636 and CVE-2018-8007.


Mitigation
==========

All users should upgrade to CouchDB 2.2.0.

Upgrades from previous 2.x versions in the same series should be seamless.

Users still on CouchDB 1.x should be advised that the Apache CouchDB team no longer support 1.x.

In-place mitigation (on any 1.x release, or 2.x prior to 2.2.0) is possible by removing the _config route from the default.ini file, as follows:

    [httpd_global_handlers]
    ;_config = {couch_httpd_misc_handlers, handle_config_req}

or by blocking access to the /_config (1.x) or /_node/*/_config routes at a reverse proxy in front of the service.
Comment 1 Pacho Ramos gentoo-dev 2018-10-08 12:20:02 UTC
as nobody is going to take care of bumping it and, since this is only an optional dep of celery, I would simply treeclean this
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-12-11 13:24:37 UTC
Package removed wrt #594624.
Comment 3 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2018-12-11 17:39:42 UTC
Removal GLSA opened.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2018-12-15 20:09:28 UTC
This issue was resolved and addressed in
 GLSA 201812-06 at https://security.gentoo.org/glsa/201812-06
by GLSA coordinator Aaron Bauman (b-man).